Simulating the Schrödinger wave equation using the Crank-Nicolson method in 2+1 dimensions Simulating the Schrödinger wave equation using the Crank-Nicolson method in 2+1 dimensions

Loading...
Searching...
No Matches
Functions
main.cpp File Reference

The main program. More...

`#include "WaveSimulation.hpp"`
`#include "utils.hpp"`
`#include <fstream>`

Go to the source code of this file.

## Functions
void | probability_deviation ()
void | color_map ()
void | detector_screen ()
void | animation ()
int | main ()

## Detailed Description

The main program.

Author
  Cory Alexander Balaton (coryab)
  Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
  1.0

Bug:
  No known bugs

Definition in file main.cpp.

## Function Documentation

## ◆ animation()

void animation | ( |  | ) |

Definition at line 64 of file main.cpp.

## ◆ color_map()

void color_map | ( |  | ) |

Definition at line 35 of file main.cpp.

## ◆ detector_screen()

void detector_screen | ( |  | ) |

Definition at line 44 of file main.cpp.

## ◆ main()

int main | ( |  | ) |

Definition at line 73 of file main.cpp.

## ◆ probability_deviation()

void probability_deviation | ( |  | ) |

Definition at line 17 of file main.cpp.